Package org.jboss.resteasy.security.smime

## Class SMIMEOutput

- java.lang.Object
- - org.jboss.resteasy.security.smime.SMIMEOutput

- Direct Known Subclasses:
    `EnvelopedOutput`, `SignedOutput`

      public class SMIMEOutput
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected X509Certificate` | `certificate` |
    `protected Object` | `entity` |
    `protected Type` | `genericType` |
    `protected javax.ws.rs.core.MediaType` | `mediaType` |
    `protected Class` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMIMEOutput​(Object obj, String mediaType)` |
    `SMIMEOutput​(Object obj, javax.ws.rs.core.MediaType mediaType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `X509Certificate` | `getCertificate()` |
    `Object` | `getEntity()` |
    `Type` | `getGenericType()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `Class` | `getType()` |
    `void` | `setCertificate​(X509Certificate certificate)` |
    `void` | `setEntity​(Object entity)` |
    `void` | `setGenericType​(Type genericType)` |
    `void` | `setMediaType​(String mediaType)` |
    `void` | `setMediaType​(javax.ws.rs.core.MediaType mediaType)` |
    `void` | `setType​(Class type)` |
    `void` | `setType​(javax.ws.rs.core.GenericType t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entity

          protected Object entity

    - #### genericType

          protected Type genericType

    - #### type

          protected Class type

    - #### mediaType

          protected javax.ws.rs.core.MediaType mediaType

    - #### certificate

          protected X509Certificate certificate

  - ### Constructor Detail

    - #### SMIMEOutput

          public SMIMEOutput​(Object obj,
                             String mediaType)

    - #### SMIMEOutput

          public SMIMEOutput​(Object obj,
                             javax.ws.rs.core.MediaType mediaType)

  - ### Method Detail

    - #### getEntity

          public Object getEntity()

    - #### setEntity

          public void setEntity​(Object entity)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType​(Type genericType)

    - #### getType

          public Class getType()

    - #### setType

          public void setType​(Class type)

    - #### setType

          public void setType​(javax.ws.rs.core.GenericType t)

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

    - #### setMediaType

          public void setMediaType​(javax.ws.rs.core.MediaType mediaType)

    - #### setMediaType

          public void setMediaType​(String mediaType)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate​(X509Certificate certificate)